Bug 1135533

Summary: [Fedora] Display translator's preferred/main languages first before other languages
Product: [Retired] Zanata Reporter: Cheng-Chia Tseng <pswo10680>
Component: UsabilityAssignee: Damian Jansen <djansen>
Status: CLOSED UPSTREAM QA Contact: Zanata-QA Mailling List <zanata-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 3.3CC: camunoz, piotrdrag, zanata-bugs
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-29 02:09:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Cheng-Chia Tseng 2014-08-29 14:35:59 UTC
Description of problem:
Most translators master their mother languages better than others. One project may have many languages to be translated; however, zanata should display translators' preferred/main languages first before others to save the time to search for those preferred/main languages.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
0. Log in as a non-English translator, for example, zh-Hant
1. Enter one project page, for example, fonts-tweak-tool
https://translate.zanata.org/zanata/project/view/fonts-tweak-tool
2. Enter one version page, for example, master
https://translate.zanata.org/zanata/iteration/view/fonts-tweak-tool/master?cid=195174
3. Languages showed to be translated

Actual results:
Languages showed to be translated, sorted by Alphabet
==> Afrikans > Albanian > Amharic...

Expected results:

Suggested as below,
Languages showed to be translated, preferred/main languages first, followed by others which may be later sorted by Alphabet

==> Chinese (Traditional, Taiwan) [translator's main language] ==> Chinese (Taiwan) [translator's main language] ==> Chinese (Simplified) [translator's reference language/preferred language] ==> Japanese [translator's reference language] | Afrikans > Albanian > Amharic...


Additional info:

Comment 1 Carlos Munoz 2014-09-17 01:56:34 UTC
There is a workaround for the moment:
On the project page, each version on the list has a drop-down which will take the user directly to the document list for a language. This drop-down only shows the list of languages the user belongs to.


Two options for solving this:

- A Separate list of user languages
- A new sort order choice that puts the user's languages first (this would be the default). There would be some identifying features to highlight the user's languages.
- An option to always show your languages first no matter what the sort order is.

Comment 2 Carlos Munoz 2014-09-17 01:57:09 UTC
For last option: The toggle would be disabled or hidden for users with no languages.

Comment 3 Zanata Migrator 2015-07-29 02:09:12 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-126